package com.adealink.weparty.playmate.saywelcome.fragment

import androidx.fragment.app.activityViewModels
import com.adealink.frame.mvvm.view.viewBinding
import com.adealink.frame.util.onClick
import com.adealink.weparty.commonui.BaseFragment
import com.adealink.weparty.playmate.R
import com.adealink.weparty.playmate.databinding.FragmentPlaymateWelcomeEmptyBinding
import com.adealink.weparty.playmate.saywelcome.viewmodel.WelcomePageViewModel

class EmptyWelcomeFragment : BaseFragment(R.layout.fragment_playmate_welcome_empty) {

    companion object {
        const val TAG = "EmptyWelcomeFragment"
    }

    private val binding by viewBinding(FragmentPlaymateWelcomeEmptyBinding::bind)

    private val pageViewModel by activityViewModels<WelcomePageViewModel>()

    override fun initViews() {
        super.initViews()
        binding.btnNew.onClick {
            pageViewModel.clickNewWelcome()
        }
    }

}